<?php 
//En este modelo se encuentran todas las consultas realizadas en la tabla de usuarios(Franquicitario)
class UsuariosF_model extends CI_Model { 

	public function __construct() {
    	parent::__construct();  
   }
   //Consulta que hace el registro de los usuarios
   public function GuardarUsuario($Nombrecompleto,$Apellidop,$Apellidom,$Usuario,$Contrasenia,$Estatus,$FechaNacimiento,$NumeroTelefonicoUsuario,$DireccionUsuario,$Rol_IdRol,$ProfesionUsuario,$Franquicias_IdFranquicias){
      $campos=array(
         'NombreUsuario' => $Nombrecompleto.' '.$Apellidop.' '.$Apellidom,
         'Usuario' => $Usuario,
         'Contrasenia' =>  $Contrasenia,
         'Estatus' => ($Estatus),
         'FechaNacimiento' => $FechaNacimiento,
         'NumeroTelefonicoUsuario' => $NumeroTelefonicoUsuario,
         'DireccionUsuario' => $DireccionUsuario,
         'Rol_IdRol' => $Rol_IdRol,
         'ProfesionUsuario' => $ProfesionUsuario,
         'Franquicias_IdFranquicias'=>$Franquicias_IdFranquicias,
      );
      $this->db->insert('usuarios',$campos);
      $id=  $this->db->insert_id();
      //Valida que se haya hecho la consulta
        $res=$this->db->affected_rows();
        return $id;
         //  if($res==1){
         //    //Muestra una alerta de que los datos se guardarón correctamente
         //    // echo "<script>alert('Datos guardados correctamente');</script>";
         //    // redirect(base_url().'usuarios/Franquiciatario/usuariosF','refresh');
         //    echo "<script>alert('Datos guardados correctamente');
         //         window.location.href='".base_url()."usuarios/Franquiciatario/usuariosF';
         //         </script>";
         //  }else{
         //    //Muestra una alerta de que los datos no se guardarón correctamente
         //    // echo "<script>alert('Los datos no se pudierón ser guardados correctamente debido a que el usuario ya existe');</script>";
         //    // redirect(base_url().'usuarios/Franquiciatario/usuariosF/agregar','refresh');
         //     echo "<script>alert('Los datos no se pudierón ser guardados correctamente debido a que el usuario ya existe');
         //         window.location.href='".base_url()."usuarios/Franquiciatario/usuariosF/agregar';
         //         </script>";
         //  }
    }

      //Consulta que hace la busqueda del usuario seleccionado
      public function obtenerenlace ($id){
      $this->db->where('IdUsuarios', $id);
      $query=$this->db->get('usuarios');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }

   }
   //Consulta que hace la actualización del usuario
   // function editarenlace ($IdUsuarios, $data){
   //    $this->db->where('IdUsuarios', $IdUsuarios);
   //    $this->db->update('usuarios', $data);
   //     $res=$this->db->affected_rows();
   //    //Valida que se haya hecho la consulta
   //    if($res==1){
   //      //Muestra una alerta de que los datos se guardarón correctamente
   //      // echo "<script>alert('Datos guardados correctamente');</script>";
   //      //   redirect(base_url().'usuarios/Franquiciatario/usuariosF','refresh');
   //        echo "<script>alert('Datos guardados correctamente');
   //               window.location.href='".base_url()."usuarios/Franquiciatario/usuariosF';
   //               </script>";
   //    }else if($res==0){
   //      //Muestra una alerta de que los datos no se guardarón correctamente
   //      // echo "<script>alert('No se hizo ningun cambio');</script>";
   //      //   redirect(base_url()."usuarios/Franquiciatario/usuariosF/editar/$IdUsuarios",'refresh');
   //        echo "<script>alert('No se hizo ningun cambio');
   //               window.location.href='".base_url()."usuarios/Franquiciatario/usuariosF/editar/$IdUsuarios';
   //               </script>";

   //    }else {
   //       // echo "<script>alert('Los datos no se pudierón ser guardados correctamente');</script>";
   //       //  redirect(base_url()."usuarios/Franquiciatario/usuariosF/editar/$IdUsuarios",'refresh');
   //        echo "<script>alert('Los datos no se pudierón ser guardados correctamente');
   //               window.location.href='".base_url()."usuarios/Franquiciatario/usuariosF/editar/$IdUsuarios';
   //               </script>";

   //    }
      
   // }

   function editarenlace($IdUsuarios,$Contrasenia,$Estatus,$FechaNacimiento,$NumeroTelefonicoUsuario,$DireccionUsuario,$Rol_IdRol,$ProfesionUsuario){
      if($Contrasenia != null){
        $campos=array(
          'Contrasenia' =>  $Contrasenia,
          'Estatus' => ($Estatus),
          'FechaNacimiento' => $FechaNacimiento,
          'NumeroTelefonicoUsuario' => $NumeroTelefonicoUsuario,
          'DireccionUsuario' => $DireccionUsuario,
          'Rol_IdRol' => ($Rol_IdRol),
          'ProfesionUsuario' => $ProfesionUsuario
        );
      }else if($Contrasenia == null){
        $campos=array(
          'Estatus' => ($Estatus),
          'FechaNacimiento' => $FechaNacimiento,
          'NumeroTelefonicoUsuario' => $NumeroTelefonicoUsuario,
          'DireccionUsuario' => $DireccionUsuario,
          'Rol_IdRol' => ($Rol_IdRol),
          'ProfesionUsuario' => $ProfesionUsuario
        );
      }
      

      $this->db->where('IdUsuarios', $IdUsuarios);
      $this->db->update('usuarios', $campos);
       $res=$this->db->affected_rows();
      //Valida que se haya hecho la consulta
      if($res==1){
         return $res;
         exit();
        //Muestra una alerta de que los datos se guardarón correctamente
        // echo "<script>alert('Datos guardados correctamente');</script>";
        //   redirect(base_url().'usuarios/Franquiciatario/usuariosF','refresh');
          echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."usuarios/Franquiciatario/usuariosF';
                 </script>";
      }else if($res==0){
         return $res.'respuesta';
         exit();
        //Muestra una alerta de que los datos no se guardarón correctamente
        // echo "<script>alert('No se hizo ningun cambio');</script>";
        //   redirect(base_url()."usuarios/Franquiciatario/usuariosF/editar/$IdUsuarios",'refresh');
          echo "<script>alert('No se hizo ningun cambio');
                 window.location.href='".base_url()."usuarios/Franquiciatario/usuariosF/editar/$IdUsuarios';
                 </script>";

      }else {
         return false;
         exit();
         // echo "<script>alert('Los datos no se pudierón ser guardados correctamente');</script>";
         //  redirect(base_url()."usuarios/Franquiciatario/usuariosF/editar/$IdUsuarios",'refresh');
          echo "<script>alert('Los datos no se pudierón ser guardados correctamente');
                 window.location.href='".base_url()."usuarios/Franquiciatario/usuariosF/editar/$IdUsuarios';
                 </script>";

      }
      
   }

   function editarenlace2($IdUsuarios,$Estatus,$FechaNacimiento,$NumeroTelefonicoUsuario,$DireccionUsuario,$Rol_IdRol,$ProfesionUsuario){
      $campos=array(
         'Estatus' => ($Estatus),
         'FechaNacimiento' => $FechaNacimiento,
         'NumeroTelefonicoUsuario' => $NumeroTelefonicoUsuario,
         'DireccionUsuario' => $DireccionUsuario,
         'Rol_IdRol' => ($Rol_IdRol),
         'ProfesionUsuario' => $ProfesionUsuario
      );
      $this->db->SET($campos); 
      $this->db->where('IdUsuarios', $IdUsuarios);
      $this->db->update('usuarios');
       $res=$this->db->affected_rows();
       //$ress = $this->db->get_compiled_update();// $this->db->_error_message();
      //  return $res;
      // Valida que se haya hecho la consulta
      if($res==1){
         return true;
         exit();
        //Muestra una alerta de que los datos se guardarón correctamente
        // echo "<script>alert('Datos guardados correctamente');</script>";
        //   redirect(base_url().'usuarios/Franquiciatario/usuariosF','refresh');
          echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."usuarios/Franquiciatario/usuariosF';
                 </script>";
      }else if($res==0){
         // return false;
         // exit();
        //Muestra una alerta de que los datos no se guardarón correctamente
        // echo "<script>alert('No se hizo ningun cambio');</script>";
        //   redirect(base_url()."usuarios/Franquiciatario/usuariosF/editar/$IdUsuarios",'refresh');
          echo $IdUsuarios.$Estatus.$FechaNacimiento.$NumeroTelefonicoUsuario.$DireccionUsuario.$Rol_IdRol.$ProfesionUsuario."<script>alert('No se hizo ningun cambio'$res);
                 window.location.href='".base_url()."usuarios/Franquiciatario/usuariosF/editar/$IdUsuarios';
                 </script>";

      }else {
         // return false;
         // exit();
         // echo "<script>alert('Los datos no se pudierón ser guardados correctamente');</script>";
         //  redirect(base_url()."usuarios/Franquiciatario/usuariosF/editar/$IdUsuarios",'refresh');
          echo "<script>alert('Los datos no se pudierón ser guardados correctamente');
                 window.location.href='".base_url()."usuarios/Franquiciatario/usuariosF/editar/$IdUsuarios';
                 </script>";

      }
      
   }
  
//Consulta que hace la busqueda del usuario dependiendo la franquicia
function buscar($query) {
    $data['Franquicias']=$this->usuariosF_model->BuscarFranquicia();
    foreach ($data['Franquicias'] as $i => $Franquicias) 
    $this->db->SELECT('*');
    $this->db->FROM('usuarios');
    $this->db->join('franquicias','Franquicias_IdFranquicias = IdFranquicias','inner');
    $this->db->join('rol','Rol_IdRol = IdRol','inner');
    $this->db->where('Franquicias_IdFranquicias',$i);
    $this->db->like('NombreUsuario', $query);
     $query=$this->db->get();
    if ($query->num_rows() > 0){
      return $query;
    }else{
     // echo "<script>alert('No se encontrarón los datos solicitados');</script>";
     //  redirect(base_url().'usuarios/Franquiciatario/usuariosF','refresh');
      echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."usuarios/Franquiciatario/usuariosF';
                 </script>";
    }
  }


    //Consulta que muestra los roles registrados 
    public function BuscarRol(){
     $query = $this->db-> query('SELECT IdRol,NombreRol FROM rol WHERE  IdRol=2 or IdRol=3'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdRol, ENT_QUOTES)] = htmlspecialchars($row->NombreRol, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

   //FConsulta que muestra la franquicia a la que pertenece el usuario
  public function BuscarFranquicia(){
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
}